<?php
/**
 * Created by PhpStorm.
 * User: leonardocarvalho
 * Date: 02/03/2016
 * Time: 08:47
 */

namespace HCM\Geral\Controllers;

use \Zeedhi\Framework\DTO\Response;

class OperadorController {

    protected $operadorService;

    public function __construct(\HCM\Geral\Services\operadorService $operadorService) {
        $this->operadorService = $operadorService;
    }

    public function updateNrorgtrabalhoOper($request, $response) {

        try {

            $dataset = $request->getDataSet();
            $dataset = $dataset->getRows();
            $dataset = $dataset[0];

            $this->operadorService->updateNrorgtrabalhoOper($dataset);
            $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('updateNrorgtrabalhoOper', array(true)));

        } catch(\Exception $e) {
            $response->setError(new \Zeedhi\Framework\DTO\Response\Error($e->getMessage(), $e->getCode()));
        }

    }

}